#include "squidwall.h"

/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

int check_globals(int *todo)
{
	struct squidwall_acl *acl;

	bfilter_globals      = 0;
	bcfilter_globals     = 0;
	brfilter_globals     = 0;
	cfilter_globals      = 0;
	crfilter_globals     = 0;
	pfilter_globals      = 0;
	ufilter_globals      = 0;
	ufilter_md5_globals  = 0;
	ufilter_sha1_globals = 0;
	urfilter_globals     = 0;
	wfilter_globals      = 0;
	wrfilter_globals     = 0;

	if (globals) {
		acl = array_get(&array_globals, sizeof(struct squidwall_acl), 0);

		debug_s(DEBUG_CHECK_GLOBALS, "setting global filteroptions");
		bfilter_globals      = &acl->bfilter;
		bcfilter_globals     = &acl->bcfilter;
		brfilter_globals     = &acl->brfilter;
		cfilter_globals      = &acl->cfilter;
		crfilter_globals     = &acl->crfilter;
		pfilter_globals      = &acl->pfilter;
		ufilter_globals      = &acl->ufilter;
		ufilter_md5_globals  = &acl->ufilter_md5;
		ufilter_sha1_globals = &acl->ufilter_sha1;
		urfilter_globals     = &acl->urfilter;
		wfilter_globals      = &acl->wfilter;
		wrfilter_globals     = &acl->wrfilter;
		set(*todo, acl->todo);
		return acl->flags;
	}

	return ACL_NONE;
}
