#ifndef SW_MEMCACHE_H
#define SW_MEMCACHE_H

#include "params.h"

/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

struct memcache {
	char hash[33];       /* md5(url, ip, host, user, method) */
	stralloc url;        /* rewritten url */
	unsigned short hits; /* how many times was this hash used */
	time_t ts;           /* timestamp of: inserting or last hit */
};

extern void memcache_init(void);   /* initialize the cache */
extern void memcache_insert(void); /* inserts some new entry */
extern void memcache_quit(void);   /* free the allocated memory */

#define MEMCACHE_HIT  1
#define MEMCACHE_MISS 2
extern int memcache_lookup(void);  /* rewrites redirsite on MEMCACHE_HIT */


#endif /* SW_MEMCACHE_H */
